org.apache.pdfbox.pdmodel.interactive.action

## Class PDActionThread

- java.lang.Object
- - org.apache.pdfbox.pdmodel.interactive.action.PDAction
  - - org.apache.pdfbox.pdmodel.interactive.action.PDActionThread

All Implemented Interfaces:
  COSObjectable, PDDestinationOrAction

    public class PDActionThread
    extends PDAction

This represents a thread action that can be executed in a PDF document.

Author:
  Evgeniy Muravitskiy

### Field Summary

Fields
`static String` `SUB_TYPE` This type of action this object represents.

### Fields inherited from class org.apache.pdfbox.pdmodel.interactive.action.PDAction

`action, TYPE`

### Constructor Summary

Constructors
Constructor and Description
`PDActionThread()` Default constructor.
`PDActionThread(COSDictionary a)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`COSBase` `getB()`
`COSBase` `getD()`
`PDFileSpecification` `getFile()` This will get the file in which the destination is located.
`void` `setB(COSBase b)`
`void` `setD(COSBase d)`
`void` `setFile(PDFileSpecification fs)` This will set the file in which the destination is located.

### Methods inherited from class org.apache.pdfbox.pdmodel.interactive.action.PDAction

`getCOSObject, getNext, getSubType, getType, setNext, setSubType, setType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### SUB_TYPE

    public static final String SUB_TYPE

This type of action this object represents.

See Also:
  Constant Field Values

### Constructor Detail

#### PDActionThread

    public PDActionThread()

Default constructor.

#### PDActionThread

    public PDActionThread(COSDictionary a)

Constructor.

Parameters:
  `a` - The action dictionary.

### Method Detail

#### getD

    public COSBase getD()

Returns:
  The D entry of the specific thread action dictionary.

#### setD

    public void setD(COSBase d)

Parameters:
  `d` - The destination.

#### getFile

    public PDFileSpecification getFile()
                                throws IOException

This will get the file in which the destination is located.

Returns:
  The F entry of the specific thread action dictionary.
Throws:
  `IOException` - If there is an error creating the file spec.

#### setFile

    public void setFile(PDFileSpecification fs)

This will set the file in which the destination is located.

Parameters:
  `fs` - The file specification.

#### getB

    public COSBase getB()

Returns:
  The B entry of the specific thread action dictionary.

#### setB

    public void setB(COSBase b)

Parameters:
  `b` - The destination.